{% if encoded_ca | default(False) and encoded_ca_key | default(False) %}
apiVersion: v1
kind: Secret
metadata:
  name: {{ ca_name }}-{{ 'root' if (not (parentca | default(False))) else parentca }}-ca
  namespace: {{ namespace }}
data:
  ca.crt: {{ encoded_ca }}
  tls.crt: {{ encoded_ca }}
  tls.key: {{ encoded_ca_key }}
type: kubernetes.io/tls
{% endif %}
